<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (13.0.2) on Mon Apr 13 03:50:16 BRT 2020 -->
<title>UtilsHandler</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<meta name="description" content="declaration: package: eu.systemsengineer.fjcapeletto.handler, class: UtilsHandler">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":9,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UtilsHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">eu.systemsengineer.fjcapeletto.handler</a></div>
<h1 title="Class UtilsHandler" class="title">Class UtilsHandler</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">eu.systemsengineer.fjcapeletto.handler.UtilsHandler</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="typeNameLabel">UtilsHandler</span>
extends java.lang.Object</pre>
<div class="block">Class containing global definitions and utilities methods for use in whole project. 
 Concentrate all Spring beans and provides it to the other classes.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>MK2-V1</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Fernando Jose Capeletto Neto</dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CARMARGIN">CARMARGIN</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static eu.systemsengineer.fjcapeletto.model.CarsBase</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#carsBaseConfig">carsBaseConfig</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CONTROLLER_DELAYTIME_INMILLIS_FOR_HEARTBEAT">CONTROLLER_DELAYTIME_INMILLIS_FOR_HEARTBEAT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CONTROLLER_DELAYTIME_INMILLIS_FOR_LAUNCHPUBLICATION">CONTROLLER_DELAYTIME_INMILLIS_FOR_LAUNCHPUBLICATION</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CONTROLLER_DELAYTIME_INMILLIS_FOR_UPDATETACTICALSITUATION">CONTROLLER_DELAYTIME_INMILLIS_FOR_UPDATETACTICALSITUATION</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static <a href="config/DisplayConfiguration.html" title="class in eu.systemsengineer.fjcapeletto.handler.config">DisplayConfiguration</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#displayConfig">displayConfig</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;eu.systemsengineer.fjcapeletto.model.Car&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#FLEETCARS">FLEETCARS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static org.slf4j.Logger</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#LOGGER">LOGGER</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MAXCARS">MAXCARS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static <a href="config/NetworkConfiguration.html" title="class in eu.systemsengineer.fjcapeletto.handler.config">NetworkConfiguration</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#netConfig">netConfig</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#NETCONFIGINFO">NETCONFIGINFO</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static org.springframework.context.ApplicationContext</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#springContext">springContext</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TERMINALBORDER">TERMINALBORDER</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TERMINALHORIZONTALSIZE">TERMINALHORIZONTALSIZE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TERMINALSTARTHORIZONTALPOSITION">TERMINALSTARTHORIZONTALPOSITION</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TERMINALVERTICALSIZE">TERMINALVERTICALSIZE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">UtilsHandler</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#checkMaxCarsAllowed()">checkMaxCarsAllowed</a></span>()</code></th>
<td class="colLast">
<div class="block">Verifies if the fleet of Cars have more then the max allowed number for the Terminal and drop the last elements until back for the limit.</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>static float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#moduleCourse(float)">moduleCourse</a></span>&#8203;(float&nbsp;courseInDegrees)</code></th>
<td class="colLast">
<div class="block">Normalizes the course in degrees to keep it in the interval [0,360[</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<li class="blockList">
<section class="fieldDetails"><a id="field.detail">
<!--   -->
</a>
<h2>Field Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="LOGGER">LOGGER</a></h3>
<div class="memberSignature"><span class="modifiers">private static final</span>&nbsp;<span class="returnType">org.slf4j.Logger</span>&nbsp;<span class="memberName">LOGGER</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="springContext">springContext</a></h3>
<div class="memberSignature"><span class="modifiers">private static</span>&nbsp;<span class="returnType">org.springframework.context.ApplicationContext</span>&nbsp;<span class="memberName">springContext</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="netConfig">netConfig</a></h3>
<div class="memberSignature"><span class="modifiers">private static</span>&nbsp;<span class="returnType"><a href="config/NetworkConfiguration.html" title="class in eu.systemsengineer.fjcapeletto.handler.config">NetworkConfiguration</a></span>&nbsp;<span class="memberName">netConfig</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="carsBaseConfig">carsBaseConfig</a></h3>
<div class="memberSignature"><span class="modifiers">private static</span>&nbsp;<span class="returnType">eu.systemsengineer.fjcapeletto.model.CarsBase</span>&nbsp;<span class="memberName">carsBaseConfig</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="displayConfig">displayConfig</a></h3>
<div class="memberSignature"><span class="modifiers">private static</span>&nbsp;<span class="returnType"><a href="config/DisplayConfiguration.html" title="class in eu.systemsengineer.fjcapeletto.handler.config">DisplayConfiguration</a></span>&nbsp;<span class="memberName">displayConfig</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="TERMINALHORIZONTALSIZE">TERMINALHORIZONTALSIZE</a></h3>
<div class="memberSignature"><span class="modifiers">public static final</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">TERMINALHORIZONTALSIZE</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="TERMINALVERTICALSIZE">TERMINALVERTICALSIZE</a></h3>
<div class="memberSignature"><span class="modifiers">public static final</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">TERMINALVERTICALSIZE</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="TERMINALSTARTHORIZONTALPOSITION">TERMINALSTARTHORIZONTALPOSITION</a></h3>
<div class="memberSignature"><span class="modifiers">public static final</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">TERMINALSTARTHORIZONTALPOSITION</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="TERMINALBORDER">TERMINALBORDER</a></h3>
<div class="memberSignature"><span class="modifiers">public static final</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">TERMINALBORDER</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="CARMARGIN">CARMARGIN</a></h3>
<div class="memberSignature"><span class="modifiers">public static final</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">CARMARGIN</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="MAXCARS">MAXCARS</a></h3>
<div class="memberSignature"><span class="modifiers">public static final</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">MAXCARS</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="FLEETCARS">FLEETCARS</a></h3>
<div class="memberSignature"><span class="modifiers">public static final</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;eu.systemsengineer.fjcapeletto.model.Car&gt;</span>&nbsp;<span class="memberName">FLEETCARS</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="CONTROLLER_DELAYTIME_INMILLIS_FOR_LAUNCHPUBLICATION">CONTROLLER_DELAYTIME_INMILLIS_FOR_LAUNCHPUBLICATION</a></h3>
<div class="memberSignature"><span class="modifiers">public static final</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">CONTROLLER_DELAYTIME_INMILLIS_FOR_LAUNCHPUBLICATION</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="CONTROLLER_DELAYTIME_INMILLIS_FOR_UPDATETACTICALSITUATION">CONTROLLER_DELAYTIME_INMILLIS_FOR_UPDATETACTICALSITUATION</a></h3>
<div class="memberSignature"><span class="modifiers">public static final</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">CONTROLLER_DELAYTIME_INMILLIS_FOR_UPDATETACTICALSITUATION</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="CONTROLLER_DELAYTIME_INMILLIS_FOR_HEARTBEAT">CONTROLLER_DELAYTIME_INMILLIS_FOR_HEARTBEAT</a></h3>
<div class="memberSignature"><span class="modifiers">public static final</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">CONTROLLER_DELAYTIME_INMILLIS_FOR_HEARTBEAT</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="NETCONFIGINFO">NETCONFIGINFO</a></h3>
<div class="memberSignature"><span class="modifiers">public static final</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">NETCONFIGINFO</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">UtilsHandler</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">UtilsHandler</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="checkMaxCarsAllowed()">checkMaxCarsAllowed</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">checkMaxCarsAllowed</span>()</div>
<div class="block">Verifies if the fleet of Cars have more then the max allowed number for the Terminal and drop the last elements until back for the limit.</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="moduleCourse(float)">moduleCourse</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">float</span>&nbsp;<span class="memberName">moduleCourse</span>&#8203;(<span class="arguments">float&nbsp;courseInDegrees)</span></div>
<div class="block">Normalizes the course in degrees to keep it in the interval [0,360[</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>courseInDegrees</code> - The angle in degrees, to be normalized</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>courseInDegrees The angle in degrees, normalized</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UtilsHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
